Sebastiaan_Koopmans
Contributor II

Forticlient 5.6.1 and FortiEMS 1.2.2 is OUT!!

Forticlient 5.6.1 and EMS 1.2.2 is out...

We are going to upgrade tonight and will let you now the feedback

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

7 Solutions
SteveG

Creating the 5.6.1 installer works, well it's listed and downloadable. However pushing the 5.6.1 install via EMS to a client PC broke FortiClient completely. The install ran but when the laptop rebooted FC had disappeared completely, looks like the uninstall of the previous client worked but the 5.6.1 install failed. So I rebooted the laptop and downloaded the 5.6.1 installer from the EMS server but when running it get "The installer has encountered an unexpected error installing this package". Now manually installing 5.4.4 build created by EMS. Once that's installed I'll reboot and try 5.6.1 again.

 

See attached screen grab.

 

View solution in original post

SteveG

I've just done the same! Ticket No. 2440807

View solution in original post

Jeroen_Nieuwenbroek

did the same here: ticket number 2440851 .  Rescheduled the installer to start at 11:50PM

JN

View solution in original post

Sebastiaan_Koopmans

Ticketnr: 2440804

 

Answer: 

This issue is already reported to our Engineering with BUG ID: 0458950, please for now keep on hold to upgrade the clients from EMS.
Will get back to you as soon as I get further information. 

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

View solution in original post

Jeroen_Nieuwenbroek

[size="4"]For now, set the permission on the shared folder to avoid the clients to update.[/size]

(Deny read access for 'everybody' .)

JN

View solution in original post

neonbit

Yup it's a known bug, there's a customer support bulletin available explaining it, looks like the fix will be out in 5.6.2 due for release on Nov 13th.

 

Customer Support Bulletin CSB-171110-1 FortiClient 5.6.1 Installation Package Failure 2017-11-10 Subject: FortiClient 5.6.1 Installation Package Failure Released: 2017-11-10 Modified: 2017-11-10  Product: FortiClient 5.6.1

Description:

Upon creation of a FortiClient 5.6.1 installation package when created by the Enterprise Management Server (EMS), the package encounters an error.  The issue occurs if EMS downloads FortiClient 5.6.1 from the FortiGuard network.  When the error occurs, EMS displays the following message:

"The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2711.”

 

 

Possibly Affected Products:

FortiClient 5.6.1

 

Remedy:

FortClient 5.6.2 will correct this issue and will be released by 13th November

View solution in original post

RobertReynolds

my EMS just pushed out 5.6.2 to my endpoints

View solution in original post

40 REPLIES 40
Sebastiaan_Koopmans

Nice SteveG

 

I have created an full loaded package/installer (5.6.1) but when i try to install i get MSI error 2711.(With 5.6.0 package no issue )

 

Do you have same issue? 

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

SteveG

I'm trying to push the upgrade of 5.6.0 to 5.6.1 via EMS but it's not happening! I've not got a MSI installer.

Sebastiaan_Koopmans

Can you try to install an created 5.6.1 installer in EMS for me so that i know if we found an bug? 

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

SteveG

Creating the 5.6.1 installer works, well it's listed and downloadable. However pushing the 5.6.1 install via EMS to a client PC broke FortiClient completely. The install ran but when the laptop rebooted FC had disappeared completely, looks like the uninstall of the previous client worked but the 5.6.1 install failed. So I rebooted the laptop and downloaded the 5.6.1 installer from the EMS server but when running it get "The installer has encountered an unexpected error installing this package". Now manually installing 5.4.4 build created by EMS. Once that's installed I'll reboot and try 5.6.1 again.

 

See attached screen grab.

 

Sebastiaan_Koopmans

Hi Steve,

 

Have same issue with 5.6.1 created @EMS... :) 

 

FYI 5.6.0 works ok

 

Will create ticket @Fortinet

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

SteveG

I've just done the same! Ticket No. 2440807

Jeroen_Nieuwenbroek

did the same here: ticket number 2440851 .  Rescheduled the installer to start at 11:50PM

JN

Sebastiaan_Koopmans

Ticketnr: 2440804

 

Answer: 

This issue is already reported to our Engineering with BUG ID: 0458950, please for now keep on hold to upgrade the clients from EMS.
Will get back to you as soon as I get further information. 

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

Sebastiaan_Koopmans

FortiClient 5.6.2 is OUT!

 

Problem to roll out (MSI Error) has been resolved!

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

neonbit

Tested on my lab and 5.6.2 installation works well now. EMS is starting to look good!